2019-11-14 05:40 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003204FSSCPlocalizationpublic2019-10-13 14:58
ReporterNovachen 
Assigned ToGoober5000 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.8 
Target VersionFixed in Version 
Summary0003204: $Command Sender as #Command source in messages
DescriptionIn missions it is possible to create an custom named sender for command messages. Unfortunately this entry only works for the built-in command messages but not for the actual messages in the mission that has the #Command source.
They are still send by "Command" even Command is named or specified differently.

For multilingual support it would be better, if #Command is equal to the $Command sender, because then you do not have to change all messages and have to create several versions of the same mission. You can take over the $command sender with an XSTR into the tstrings.tbl, translate it there and then all #Command messages would have the translated name of the source.

Is there a particular reason why both entries are seperate to each other? In which cases is #Command different to the $command sender anyway?
Steps To ReproduceCreate a mission, set an invidiual command name in the mission specs and then make a send-message event with #Command as communication source.
Additional InformationThe $command sender line should always added with an XSTR by default in a mission file even if the default entry is used. So that this is always translateable by default.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0016925

Goober5000 (administrator)

The mission's "Command Sender" refers to the Command persona, not the #Command source specified by send-message.

This issue sounds familiar. Was this already resolved elsewhere?

~0016930

Goober5000 (administrator)

This is implemented in GitHub PR 2106:
https://github.com/scp-fs2open/fs2open.github.com/pull/2106

~0016932

Goober5000 (administrator)

PR merged.
+Notes

-Issue History
Date Modified Username Field Change
2018-02-26 12:40 Novachen New Issue
2019-05-02 22:59 Goober5000 Note Added: 0016925
2019-10-12 14:23 Goober5000 Assigned To => Goober5000
2019-10-12 14:23 Goober5000 Status new => code review
2019-10-12 14:23 Goober5000 Note Added: 0016930
2019-10-13 14:58 Goober5000 Status code review => resolved
2019-10-13 14:58 Goober5000 Resolution open => fixed
2019-10-13 14:58 Goober5000 Note Added: 0016932
+Issue History